/*
 * Copyright (c) 2022 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import '../../_components/main-menu.less';
@import '../../_components/collapsible-menu.less';

.header-navbar-nav {
  .dropdown.open,
  .dropdown-menu,
  .dropdown-menu > li > a {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    white-space: normal;
    background-color: @main-menu-dropdown-menu-background;
  }

  .dropdown-menu {
    width: 100%;
    min-width: unset;
    padding: 0;
    margin-top: 0;
    text-align: center;

    & > li > a {
      border-bottom: 1px solid darken(@main-menu-dropdown-menu-background, 5%);
      
      &,
      &:link,
      &:visited {
        color: @main-menu-dropdown-link-color;
      }

      &:hover {
        color: @main-menu-dropdown-link-hover-color; 
        background-color: lighten(@main-menu-dropdown-menu-background, 5%);
      }

      &:active {
        color: @main-menu-dropdown-link-active-color;
      }
    }
  }
}

.navbar-nav-links-item {
  color: @main-menu-dropdown-link-color;
}
.navbar-nav-links-item > .dropdown > button {
  padding: 0.3rem 2rem;
}
